version: '2'
services:

  postgres:
    image: library/postgres:13.1
    hostname: postgres
    restart: always
    ports:
    - 5433:5432
    volumes:
    - /home/irkka/volumes/postgres:/var/lib/postgresql/data
    environment:
      POSTGRES_DB: taskmanager
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
    networks:
    - default

  pgadmin:
    image: dpage/pgadmin4
    hostname: pgadmin4
    ports:
    - 81:80
    volumes:
    - /home/irkka/volumes/pgadmin:/var/lib/pgadmin
    depends_on:
    - postgres2
    environment:
      PGADMIN_DEFAULT_EMAIL: postgres@postgres
      PGADMIN_DEFAULT_PASSWORD: postgres
    networks:
    - default
      
  task-manager-server:
    image: registry.gitlab.com/irkka.hiiri/tsc-java-55/tm-server:latest
    hostname: tm-server
    ports:
    - 80:8080
    depends_on:
    - postgres
    networks:
    - default
    environment:
        DATABASE_USERNAME: postgres
        DATABASE_PASSWORD: postgres
        DATABASE_URL: jdbc:postgresql://postgres:5432/taskmanager
        DATABASE_DRIVER: org.postgresql.Driver 

  logger:
    image: registry.gitlab.com/irkka.hiiri/tsc-java-55/tm-logger:latest
    networks:
    - default
